/*
 * pwm.c
 *
 * Created: 13.08.2016 12:26:42
 *  Author: karpe
 */ 
#include "pwm.h"
#include <avr/io.h>



void PWM_Init()
{
	// Init pins
	DDRB |= (1<<PB0)|(1<<PB1)|(1<<PB2);
	
	// Init timer
	TCCR1A=(1<<COM1A1)|(1<<COM1B1)|(1<<WGM10);
	TCCR1B=(1<<CS10);
	
	// Set default values
	OCR1A=0x00;
	OCR1B=0x00;
}

void PWM_Set(unsigned char channel, unsigned char data)
{
	switch (channel)
	{
		case 1:
			OCR1A = data;
			break;
		case 2:
			OCR1B = data;
			break;
	}	
}