/*
 * segment.h
 *
 * Created: 12.08.2016 22:25:41
 *  Author: karpe
 */ 


#ifndef SEGMENT_H_
#define SEGMENT_H_

#define	A_PORT	PORTC
#define	A_DDR	DDRC
#define	A_PIN	PC0

#define	B_PORT	PORTC
#define	B_DDR	DDRC
#define	B_PIN	PC1

#define	C_PORT	PORTC
#define	C_DDR	DDRC
#define	C_PIN	PC2

#define	D_PORT	PORTC
#define	D_DDR	DDRC
#define	D_PIN	PC3

#define	E_PORT	PORTC
#define	E_DDR	DDRC
#define	E_PIN	PC4

#define	F_PORT	PORTC
#define	F_DDR	DDRC
#define	F_PIN	PC5

#define	G_PORT	PORTB
#define	G_DDR	DDRB
#define	G_PIN	PB0

#define	SET_SEGMENT(_PORT_, _PIN_)	_PORT_ |= (1<<_PIN_)
#define	RESET_SEGMENT(_PORT_, _PIN_)	_PORT_ &= ~(1<<_PIN_)

#define	D1_PORT	PORTB
#define	D1_DDR	DDRB
#define	D1_PIN	PB1

#define	D2_PORT	PORTB
#define	D2_DDR	DDRB
#define	D2_PIN	PB2

#define	D3_PORT	PORTB
#define	D3_DDR	DDRB
#define	D3_PIN	PB3

#define	SET_DIGIT(_PORT_, _PIN_)	SET_SEGMENT(_PORT_, _PIN_)
#define	RESET_DIGIT(_PORT_, _PIN_)	RESET_SEGMENT(_PORT_, _PIN_)

#define SET_DIGIT_1() SET_DIGIT(D1_PORT, D1_PIN)
#define SET_DIGIT_2() SET_DIGIT(D2_PORT, D2_PIN)
#define SET_DIGIT_3() SET_DIGIT(D3_PORT, D3_PIN)
#define RESET_DIGIT_1() RESET_DIGIT(D1_PORT, D1_PIN)
#define RESET_DIGIT_2() RESET_DIGIT(D2_PORT, D2_PIN)
#define RESET_DIGIT_3() RESET_DIGIT(D3_PORT, D3_PIN)
#endif /* SEGMENT_H_ */